<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>ru.entaxy.esb.system</groupId>
        <artifactId>management</artifactId>
        <version>1.9.0</version>
        <relativePath>../pom.xml</relativePath>
    </parent>

    <groupId>ru.entaxy.esb.system.management.bundle.manager</groupId>
    <artifactId>bundle-manager</artifactId>
    <packaging>bundle</packaging>

    <name>SYSTEM :: ENTAXY :: SYSTEM :: MANAGEMENT :: BUNDLE :: MANAGER</name>
    <description>SYSTEM :: ENTAXY :: SYSTEM :: MANAGEMENT :: BUNDLE :: MANAGER</description>

    <properties>
        <bundle.osgi.export.pkg>
            ru.entaxy.esb.system.management.bundle.manager
        </bundle.osgi.export.pkg>
        <bundle.osgi.import.pkg>
            !com.sun.org.apache.xml.internal.dtm.ref,
            !org.mapstruct.*,
            ru.entaxy.platform.core.blueprint.generator,
            ru.entaxy.esb.system.management.bundle.jpa,
            ru.entaxy.esb.system.management.bundle.jpa.entity,
            ru.entaxy.esb.system.management.bundle.jpa.dto,
            ru.entaxy.esb.system.core.template,
            ru.entaxy.esb.system.jpa,
            ru.entaxy.esb.system.profile.commons,
            ru.entaxy.esb.system.profile.commons.connectors,
            ru.entaxy.esb.system.core.dispatcher,
            org.apache.commons.logging,
            org.osgi.service.blueprint;version="[1.0.0,2.0.0)",
            *
        </bundle.osgi.import.pkg>
        <bundle.osgi.embed.dependency>
            gson
        </bundle.osgi.embed.dependency>
    </properties>

    <dependencies>
        <dependency>
            <groupId>javax.interceptor</groupId>
            <artifactId>javax.interceptor-api</artifactId>
            <version>${javax.interceptor.version}</version>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.system.registry.systems</groupId>
            <artifactId>system-api</artifactId>
            <version>${project.version}</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.system.registry.profile.commons</groupId>
            <artifactId>profile-commons</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.system.core</groupId>
            <artifactId>template</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.system.registry.connector</groupId>
            <artifactId>connector-api</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.system.management.bundle.jpa</groupId>
            <artifactId>bundle-service</artifactId>
            <version>${project.version}</version>
        </dependency>
        <!-- dependency>
            <groupId>ru.entaxy.esb.system.management.blueprint.generator</groupId>
            <artifactId>blueprint-generator</artifactId>
            <version>${project.version}</version>
        </dependency-->
        <dependency>
        	<groupId>ru.entaxy.esb.platform.runtime.core</groupId>
        	<artifactId>artifact-management</artifactId>
        	<version>${project.version}</version>
        </dependency>
        <dependency>
        	<groupId>
        		ru.entaxy.esb.platform.runtime.core.management
        	</groupId>
        	<artifactId>blueprint-generator-service</artifactId>
        	<version>${project.version}</version>
        </dependency>
    </dependencies>
</project>
